Package org.apache.sysds.runtime.iogen

## Class FormatIdentifyer

- java.lang.Object
- - org.apache.sysds.runtime.iogen.FormatIdentifyer

    public class FormatIdentifyer
    extends Object

### Constructor Summary

Constructors
`FormatIdentifyer​(String raw, FrameBlock frame)`
`FormatIdentifyer​(String raw, MatrixBlock matrix)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Pair<ArrayList<String>,​ArrayList<Integer>>` `extractAllPrefixStringsOfAColSingleLine​(int colIndex, boolean reverse, boolean removesSelected)`
`Pair<ArrayList<String>,​ArrayList<Integer>>` `extractAllPrefixStringsOfAColSingleLine​(int r, ArrayList<Integer> colIndexes, boolean reverse, boolean removesSelected)`
`Pair<ArrayList<String>[],​ArrayList<Integer>[]>` `extractAllPrefixStringsOfColsSingleLine​(boolean reverse, boolean removesSelected)`
`String` `getConflictToken​(int[] cols)`
`CustomProperties` `getFormatProperties()`
`boolean` `isDelimAndSuffixesSame​(String delim, int[] cols, String conflict)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FormatIdentifyer

    public FormatIdentifyer​(String raw,
                            MatrixBlock matrix)
                     throws Exception

Throws:
  `Exception`

#### FormatIdentifyer

    public FormatIdentifyer​(String raw,
                            FrameBlock frame)
                     throws Exception

Throws:
  `Exception`

### Method Detail

#### getFormatProperties

    public CustomProperties getFormatProperties()

#### extractAllPrefixStringsOfColsSingleLine

    public Pair<ArrayList<String>[],​ArrayList<Integer>[]> extractAllPrefixStringsOfColsSingleLine​(boolean reverse,
                                                                                                        boolean removesSelected)

#### extractAllPrefixStringsOfAColSingleLine

    public Pair<ArrayList<String>,​ArrayList<Integer>> extractAllPrefixStringsOfAColSingleLine​(int r,
                                                                                                    ArrayList<Integer> colIndexes,
                                                                                                    boolean reverse,
                                                                                                    boolean removesSelected)

#### extractAllPrefixStringsOfAColSingleLine

    public Pair<ArrayList<String>,​ArrayList<Integer>> extractAllPrefixStringsOfAColSingleLine​(int colIndex,
                                                                                                    boolean reverse,
                                                                                                    boolean removesSelected)

#### getConflictToken

    public String getConflictToken​(int[] cols)

#### isDelimAndSuffixesSame

    public boolean isDelimAndSuffixesSame​(String delim,
                                          int[] cols,
                                          String conflict)